Linux Ubuntu e Amule CVS

Chi non usa emule scagli la prima pietra.
Amule cvs ubuntu linux
Bene visto che non vedo pietre volare ecco un breve tutorial su come installare amule CVS, per chi si chiedesse cosa vuol dire cvs, è la versione aggiornata quotidianamente dagli sviluppatori, non l’ultima stabile ma quella che si avvicina di più alla nuova release che uscirà, generalmente non è bene installare versioni del genere ma amule è sempre piuttosto stabile e le funzioni aggiunte nella cvs sono notevoli.

Ricordo ancora che la versione cvs non è ufficialmente stabile quindi se vi prende fuoco casa dopo averlo installato non prendetevela ne con me ne con gli sviluppatori.
Scaricate le responsabilità procediamo con l’installazione:

sudo gedit /etc/apt/sources.list

e aggiungiamo:

## aMule CVS
deb http://www.vollstreckernet.de/debian/ testing amule wx

salviamo e da consolle diamo:

sudo gpg --armor --export D63913EF50D0AE60 | sudo apt-key add -

ora un bell’aggiornamento e installiamo amule:

sudo apt-get update
sudo apt-get install amule amule-i18n-it

Fine dell’installazione della versione cvs.

Infine per chi volesse installare amule stabile ecco il repository di trevigno, il mio consiglio è installate amule e poi commentateli perchè c’è davvero tanta roba sopra e per un utente non troppo esperto potrebbe causare diversi danni alla vostra ubuntubox:

# Treviño Repository
deb http://3v1n0.tuxfamily.org edgy 3v1n0
deb-src http://3v1n0.tuxfamily.org edgy 3v1n0

Ricordo che la versione stabile ha un bug dovuto ad una libreria farlocca per cui se si chiudono tutti i tab delle ricerche l’applicazione crasha.

Spero di essere stato chiaro, buon p2p a tutti.

19 risposte a Linux Ubuntu e Amule CVS

  1. Carlo ALberto Poletti scrive:

    Ciao, senti io ho provato più e più volte a trasmgrare, l’unico difetto che trovavo era che dopo un pò mi accorgevo che alcune periferiche non venivano riconosciute e altre cose del genere. La prima volta che son passato a linux è stato nel 2001 con la SUSE 7.3 che non era ancora di novell. I tentativi poi di cercare di impostare il modem, la compatibilità con i vari formati di testo, e alte cine, mi hanno sempre fatto desistere.
    Insomma, noto che Ubuntu sta facendo passi da gigante e me la scarico.
    Unica cosa volevo un tuo consiglio, il mio portatile, è un asus, con un processore Turion 64, un hard-disk da 100 Giga a 7200 rpm, una memoria ram da 1 Giga (che ho richiesto per l’editing video) quindi dovrebbe essere ad alta frequenza, in fine una scheda grafica Nvidia GeForce 7300 fatta su misura per l’asus serie 6000 Km.
    cosa mi consigli?

    Scrivimi e grazie mille della disponibilità.

    p.s. vorrei fare dell’editing video, e fotografico oltre a navigasre sulla rete fastweb;poi vorrei anche giocare a qualche gioco se si può.

  2. dioz scrive:

    Ciao Carlo,
    la prossima release di Ubuntu (Festy) prevederà una versione dedicata a chi fa video/musica/grafica e si chiamerà Ubuntu Studio.
    Per quanto riguarda l’hw che hai non ci sono problemi di compatibilità, puoi dimenticare l’incubo delle vecchie versioni di linux, ormai la compatibilità è quasi totale.
    Tralaltro ho anche io un asus 6000km e con ubuntu non ci sono problemi, il mio consiglio è: scaricati la versione 64 di ubuntu edgy e installala lasciando anche windows, con un po’ di pazienza cerca di usarla più che puoi per prendere familiarità con il sistema, a giugno poi aggiornala a ubuntu studio festy e vedi se riesci a migrare pienamente anche il tuo lavoro.

    Due consigli al volo visto che non sei ancora un esperto, le partizioni preparale prima con partition magic da window, 1 di swap da 1gb e una ext3 per il sistema, così al momento dell’installazione di linux non rischi di cancellare documenti importanti.
    Una volta installato ti troverai sicuramente a dover sistemare il flashplayer per firefox, siccome la adobe non ha rilasciato la versione per 64 usa questa guida: http://ubuntuforums.org/showthread.php?t=341727
    buona fortuna!😉

  3. davido scrive:

    ciao,
    ho una domanda: dal repository verrà scaricato il codice sorgente, che poi apt-get si occuperà di compilare, o verrà scaricato un pacchetto già bello e compilato?in ogni caso, essendo una versione di sviluppo mi ritroverò spesso gli aggiornamenti da installare oppure una release ogni tanto?

    Grazie🙂

  4. dioz scrive:

    @davido
    i repository danno solo pacchetti belli pronti🙂
    per quanto riguarda gli aggiornamenti essendo un cvs è comunque in costante modifica, quindi potrebbe richiederti di essere aggiornato anche più volte in una settimana.
    Se la cosa ti da fastidio il mio consiglio è: scarica l’ultima versione e poi commenta il repository.
    In questo modo non ti chiederà aggiornamenti. In ogni caso è sempre meglio prendersi l’ultima versione di tanto in tanto visto che dovrebbe essere sempre migliore😉

  5. davido scrive:

    vabè, gli aggiornamenti frequenti in realtà non mi danno fastidio, anzi mi piacciono, non mi fanno sentire abbandonato come quando avevo windows😀

    la domanda importante in realtà era un’altra, dal momento che di recente hanno risolto dei bug che facevano crashare il mulo randomly, e che questi bugfix implicano la compilazione con le ultime wxwidgets(2.8.x), questi pacchetti da cvs sono compilati con queste nuove librerie?

  6. dioz scrive:

    No, per risolvere quel bug devi scaricarti i sorgenti e le ultime wxwidgets e ricompilartelo a manovella🙂

  7. Treviño scrive:

    No, no… I pacchetti che ho nel mio repo sono cvs compilati con le nuove librerie wx (pacchettizate nel repo anch’esse…). Anche perché le ultime versioni del mulo le esigono🙂

    Ciao!

  8. toky scrive:

    ciao a me la chiave pubblica nella prima lista repo non viene trovata?
    W: GPG error: http://www.vollstreckernet.de testing Release: Le seguenti firme non sono state verificate perchè la chiave pubblica non è disponibile: NO_PUBKEY D63913EF50D0AE60
    W: È consigliabile eseguire apt-get update per correggere questi problemi
    ***:~$ sudo gpg –armor –export D63913EF50D0AE60 | sudo apt-key add –
    uso: gpg [opzioni] [nomefile]
    gpg: non sono stati trovati dati OpenPGP validi.

  9. wally scrive:

    ciao

    io ho che amule 2.1.3 e’ bello lento sotto kubuntu, sembra per problemi legati ad offuscamento o simili

    che tu sappia questa versione potrebbe fare il caso mio?

    grazie e ciao

    wally

  10. nino scrive:

    Salve, anch’io volevo la CVS ma aggiungiendo il repository indicato e dando poi il comando:

    sudo gpg –armor –export D63913EF50D0AE60 | sudo apt-key add –

    la shell mi risponde così:

    gpg: Invalid option “-export”
    gpg: no valid OpenPGP data found.

    Ho la Debian Etch

  11. jack scrive:

    anche a me da lo stesso problema descritto sopra

  12. jack scrive:

    anche a me da gli stessi problemi
    giakomo@giakomo:~$ sudo gpg –armor –export D63913EF50D0AE60 | sudo apt-key add -uso: gpg [opzioni] [nomefile]
    gpg: non sono stati trovati dati OpenPGP validi.

  13. Fabio scrive:

    Anche a me da lo stesso problema…
    Non sono un grande esperto, ma come si risolve questa cosa?

    root@blackdiamond-desktop:~# gpg –armor –export D63913EF50D0AE60 | sudo apt-key add –
    usage: gpg [options] [filename]
    gpg: no valid OpenPGP data found.

    la mia mail è la seguente: stratosphere1982@libero.it
    grazie anticipatamente..
    Fabio

  14. Fabio scrive:

    risolto e spero può servire a tutti.. per ora ho solo un problema con il pacchetto “libcrypto++6” che a quanto pare contiene un bug e quindi senza che si risolva sto bug non so se amule si riesca ad installare correttamente..
    l’errore sta nella dicitura..
    provate a digitare:

    sudo gpg –armor –export D63913EF50D0AE60 | sudo apt-key add –

    cioè con i due trattini prima di armor e export..
    così dovrebbe funzionare alla grande.
    Un saluto a tutti

  15. Asdrubale88 scrive:

    Il problema è nella sintassi, per risolvere ho proceduto nel seguente modo:
    – Digitate prima:

    sudo gpg –keyserver pgp.mit.edu –recv-keys D63913EF50D0AE60

    -Dopo aver scaricato la chiave dal server (potrebbe metterci qualche minuto, è abbastanza lento) digitate:

    sudo gpg –armor –export 50D0AE60 | sudo apt-key add –

    Non dovrebbero esserci intoppi, apt-get update fila tutto liscio ora😀

  16. Asdrubale88 scrive:

    Fate attenzione perchè il carattere “–” che vedete con wordpress in realtà sono due ‘meni’ senza lo spazio in mezzo ‘- -‘, digitando ‘menomeno’ nel terminale verranno visualizzati appunto due meni, apparentemente con uno spazio che in realtà è solo creato dal terminale, ci siamo capiti? ;D

  17. roberto scrive:

    ho provato a installare come ho letto nella vostra guida…ma mi ritornano una serie di errori che vi allego…..potete aiutarmi?

    grazie

    Scaricato 897kB in 19s (47,1kB/s)
    (Lettura del database … 139791 file e directory attualmente installati.)
    Spacchetto amule-theme-chicane (da …/amule-theme-chicane_2.1.3+CVS20080512-1_i386.deb) …
    dpkg: errore processando /var/cache/apt/archives/amule-theme-chicane_2.1.3+CVS20080512-1_i386.deb (–unpack):
    tentata sovrascrittura di `/usr/share/amule/webserver/chicane/aMule.tmpl’, che si trova anche nel pacchetto amule-common
    dpkg-deb: il sottoprocesso paste è stato terminato dal segnale (Pipe interrotta)
    Selezionato il pacchetto amuleweb, che non lo era.
    Spacchetto amuleweb (da …/amuleweb_2.1.3+CVS20080512-1_i386.deb) …
    Spacchetto amule-i18n-it (da …/amule-i18n-it_2.1.3+CVS20080512-1_i386.deb) …
    dpkg: errore processando /var/cache/apt/archives/amule-i18n-it_2.1.3+CVS20080512-1_i386.deb (–unpack):
    tentata sovrascrittura di `/usr/share/locale/it/LC_MESSAGES/amule.mo’, che si trova anche nel pacchetto amule-common
    dpkg-deb: il sottoprocesso paste è stato terminato dal segnale (Pipe interrotta)
    Sono occorsi degli errori processando:
    /var/cache/apt/archives/amule-theme-chicane_2.1.3+CVS20080512-1_i386.deb
    /var/cache/apt/archives/amule-i18n-it_2.1.3+CVS20080512-1_i386.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    roberto

  18. dpf delete scrive:

    I recieve joy from, lead to I discovered what precisely I had been in search of. You’ve was over this several morning long look! The almighty Bless you guy. Use a good day. Ok bye

Lascia un commento

Inserisci i tuoi dati qui sotto o clicca su un'icona per effettuare l'accesso:

Logo WordPress.com

Stai commentando usando il tuo account WordPress.com. Chiudi sessione / Modifica )

Foto Twitter

Stai commentando usando il tuo account Twitter. Chiudi sessione / Modifica )

Foto di Facebook

Stai commentando usando il tuo account Facebook. Chiudi sessione / Modifica )

Google+ photo

Stai commentando usando il tuo account Google+. Chiudi sessione / Modifica )

Connessione a %s...

%d blogger cliccano Mi Piace per questo: